> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# Update an email template

PUT https://rest.test.zuora.com/notifications/email-templates/{id}
Content-Type: application/json

Updates an email template. This operation supports updating the email template for all event types.


Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/events-and-notifications/notifications/put-update-email-template

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Path parameters

- `id` (string, required) — The ID of the email template to be updated.

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.

### Body (application/json)

This endpoint expects a PUTPublicEmailTemplateRequest.

- `active` (boolean, optional) — The status of the email template.
- `bccEmailAddress` (string, optional) — Email bcc address.
- `ccEmailAddress` (string, optional) — Email cc address.
- `ccEmailType` (enum, optional, default: SpecificEmails) — Email CC type. - When the related event is account-level and associated with the Subscription object, such as Subscription Created, you can use the following values: - BillToContact - SoldToContact - ShipToContact - BillToAndSoldToContacts - AllContacts - SpecificEmails - InvoiceOwnerBillToContact - InvoiceOwnerSoldToContact - InvoiceOwnerShipToContact - InvoiceOwnerBillToAndSoldToContacts - InvoiceOwnerAllContacts - When the related event is account-level and not associated with the Subscription object, such as Payment Processed, you can use the following values: - BillToContact - SoldToContact - ShipToContact - BillToAndSoldToContacts - AllContacts - SpecificEmails - When the related event is tenant-level, such as Bill Run Completion, you can use the following values: - TenantAdmin - RunOwner - SpecificEmails
  - Allowed values: `BillToContact`, `SoldToContact`, `ShipToContact`, `SpecificEmails`, `TenantAdmin`, `BillToAndSoldToContacts`, `RunOwner`, `AllContacts`, `InvoiceOwnerBillToContact`, `InvoiceOwnerSoldToContact`, `InvoiceOwnerShipToContact`, `InvoiceOwnerBillToAndSoldToContacts`, `InvoiceOwnerAllContacts`
- `description` (string, optional) — The description of the email template.
- `emailBody` (string, optional) — The email body. You can add merge fields in the email body using angle brackets or double curly brackets. For more information, see Merge field syntax for email templates. User can also embed html tags if `isHtml` is `true`.
- `emailHeaders` (map from string to string, optional) — Container for custom email headers. Each custom email header consists of a header name and a header value.
- `emailSubject` (string, optional) — The email subject. You can add merge fields in the email subject using angle brackets or double curly brackets. For more information, see Merge field syntax for email templates.
- `encodingType` (enum, optional) — The endcode type of the email body.
  - Allowed values: `UTF8`, `Shift_JIS`, `ISO_2022_JP`, `EUC_JP`, `X_SJIS_0213`
- `fromEmailAddress` (string, optional) — If fromEmailType is SpecificEmail, this field is required
- `fromEmailType` (enum, optional) — The type of fromEmail.
  - Allowed values: `TenantEmail`, `RunOwner`, `SpecificEmail`
- `fromName` (string, optional) — The name of email sender.
- `isHtml` (boolean, optional) — Indicates whether the style of email body is HTML.
- `name` (string, optional) — The name of the email template.
- `replyToEmailAddress` (string, optional) — If replyToEmailType is SpecificEmail, this field is required.
- `replyToEmailType` (enum, optional) — The type of the reply email.
  - Allowed values: `TenantEmail`, `RunOwner`, `SpecificEmail`
- `toEmailAddress` (string, optional) — If toEmailType is SpecificEmail, this field is required.
- `toEmailType` (enum, optional) — Email receive type. - When the related event is account-level and associated with the Subscription object, such as Subscription Created, you can use the following values: - BillToContact - SoldToContact - ShipToContact - BillToAndSoldToContacts - AllContacts - SpecificEmails - InvoiceOwnerBillToContact - InvoiceOwnerSoldToContact - InvoiceOwnerShipToContact - InvoiceOwnerBillToAndSoldToContacts - InvoiceOwnerAllContacts - When the related event is account-level and not associated with the Subscription object, such as Payment Processed, you can use the following values: - BillToContact - SoldToContact - ShipToContact - BillToAndSoldToContacts - AllContacts - SpecificEmails - When the related event is tenant-level, such as Bill Run Completion, you can use the following values: - TenantAdmin - RunOwner - SpecificEmails
  - Allowed values: `BillToContact`, `SoldToContact`, `ShipToContact`, `SpecificEmails`, `TenantAdmin`, `BillToAndSoldToContacts`, `RunOwner`, `AllContacts`, `InvoiceOwnerBillToContact`, `InvoiceOwnerSoldToContact`, `InvoiceOwnerShipToContact`, `InvoiceOwnerBillToAndSoldToContacts`, `InvoiceOwnerAllContacts`

## Response

### 200

OK

- `active` (boolean, optional) — The status of the email template.
- `bccEmailAddress` (string, optional) — Email BCC address.
- `ccEmailAddress` (string, optional) — Email CC address.
- `ccEmailType` (enum, optional, default: SpecificEmails) — Email cc type.
  - Allowed values: `BillToContact`, `SoldToContact`, `ShipToContact`, `SpecificEmails`, `TenantAdmin`, `BillToAndSoldToContacts`, `RunOwner`, `AllContacts`, `InvoiceOwnerBillToContact`, `InvoiceOwnerSoldToContact`, `InvoiceOwnerShipToContact`, `InvoiceOwnerBillToAndSoldToContacts`, `InvoiceOwnerAllContacts`
- `createdBy` (string, optional) — The ID of the user who created the email template.
- `createdOn` (datetime, optional) — The time when the email template was created. Specified in the UTC timezone in the ISO860 format (YYYY-MM-DDThh:mm:ss.sTZD). E.g. 1997-07-16T19:20:30.45+00:00
- `description` (string, optional) — The description of the email template.
- `emailBody` (string, optional) — The email body. You can add merge fields in the email body using angle brackets or double curly brackets. For more information, see Merge field syntax for email templates. User can also embed html tags if `isHtml` is `true`.
- `emailHeaders` (map from string to string, optional) — Container for custom email headers. Each custom email header consists of a header name and a header value.
- `emailSubject` (string, optional) — The email subject. You can add merge fields in the email subject using angle brackets or double curly brackets. For more information, see Merge field syntax for email templates.
- `encodingType` (enum, optional) — The endcode type of the email body.
  - Allowed values: `UTF8`, `Shift_JIS`, `ISO_2022_JP`, `EUC_JP`, `X_SJIS_0213`
- `eventCategory` (double, optional) — The event category code for a standard event. See [Standard Event Categories](https://knowledgecenter.zuora.com/Central_Platform/Notifications/A_Standard_Events/Standard_Event_Category_Code_for_Notification_Histories_API) for all event category codes.
- `eventTypeName` (string, optional) — The name of the custom event or custom scheduled event.
- `eventTypeNamespace` (string, optional) — The namespace of the `eventTypeName` field for custom events and custom scheduled events.
- `fromEmailAddress` (string, optional) — If formEmailType is SpecificEmail, this field is required.
- `fromEmailType` (enum, optional) — The from email type.
  - Allowed values: `TenantEmail`, `RunOwner`, `SpecificEmail`
- `fromName` (string, optional) — The name of email sender.
- `id` (string, optional) — The email template ID.
- `isHtml` (boolean, optional) — Indicates whether the style of email body is HTML.
- `name` (string, optional) — The name of the email template.
- `replyToEmailAddress` (string, optional) — If replyToEmailType is SpecificEmail, this field is required
- `replyToEmailType` (enum, optional) — The reply email type.
  - Allowed values: `TenantEmail`, `RunOwner`, `SpecificEmail`
- `toEmailAddress` (string, optional) — If `toEmailType` is `SpecificEmail`, this field is required.
- `toEmailType` (enum, optional) — Email receive type.
  - Allowed values: `BillToContact`, `SoldToContact`, `ShipToContact`, `SpecificEmails`, `TenantAdmin`, `BillToAndSoldToContacts`, `RunOwner`, `AllContacts`, `InvoiceOwnerBillToContact`, `InvoiceOwnerSoldToContact`, `InvoiceOwnerShipToContact`, `InvoiceOwnerBillToAndSoldToContacts`, `InvoiceOwnerAllContacts`
- `updatedBy` (string, optional) — The ID of the user who updated the email template.
- `updatedOn` (datetime, optional) — The time when the email template was updated. Specified in the UTC timezone in the ISO860 format (YYYY-MM-DDThh:mm:ss.sTZD). E.g. 1997-07-16T19:20:30.45+00:00

## Errors

### 400 Bad Request Error

Bad Request

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 404 Not Found Error

Not Found

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 405 Method Not Allowed Error

Method Not Allowed

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 415 Unsupported Media Type Error

Unsupported Media Type

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 500 Internal Server Error

Internal Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

## Types

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

## Examples

**Request**

```json
{
  "description": "Details of the email template"
}
```

**Response**

```json
{
  "active": true,
  "bccEmailAddress": "",
  "ccEmailAddress": "",
  "ccEmailType": "SpecificEmails",
  "createdBy": "8ad084a67f9c7138017fab8a8b511b5a",
  "createdOn": "2024-11-06T09:24:07.000 UTC",
  "description": "",
  "emailBody": "Dear user,<p>the account {{DataSource.Account.AccountNumber}} has been edited. <p>Company Co. Ltd.",
  "emailHeaders": {},
  "emailSubject": "Account {{DataSource.Account.AccountNumber}} has been edited",
  "encodingType": "UTF8",
  "eventTypeName": "AccountEdit",
  "eventTypeNamespace": "user.notification",
  "fromEmailAddress": "",
  "fromEmailType": "TenantEmail",
  "fromName": "Company Co. Ltd.",
  "id": "f11e498862584a10a05b83ea70119659",
  "isHtml": false,
  "name": "Account Edit Email",
  "replyToEmailAddress": "",
  "replyToEmailType": "TenantEmail",
  "toEmailAddress": "",
  "toEmailType": "BillToContact",
  "updatedBy": "8ad084a67f9c7138017fab8a8b511b5a",
  "updatedOn": "2024-11-06T09:24:07.000 UTC",
  "fileId": "",
  "useAdditionalAddresses": false
}
```

**SDK Code**

```python
import requests

url = "https://rest.test.zuora.com/notifications/email-templates/id"

payload = { "description": "Details of the email template" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://rest.test.zuora.com/notifications/email-templates/id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"description":"Details of the email template"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/notifications/email-templates/id"

	payload := strings.NewReader("{\n  \"description\": \"Details of the email template\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/notifications/email-templates/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"description\": \"Details of the email template\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://rest.test.zuora.com/notifications/email-templates/id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"description\": \"Details of the email template\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://rest.test.zuora.com/notifications/email-templates/id', [
  'body' => '{
  "description": "Details of the email template"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/notifications/email-templates/id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"description\": \"Details of the email template\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["description": "Details of the email template"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/notifications/email-templates/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```